> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# QuickBase Connector

### Intro

QuickBase is a low-code platform for citizen development for building, customizing and connecting scalable, secure cloud applications mapped to unique business challenges without compromising IT governance and control. To learn more about the QuickBase API, visit their page ([https://help.quickbase.com/api-guide/index.html](https://help.quickbase.com/api-guide/index.html "https://help.quickbase.com/api-guide/index.html") ).

You connect to your QuickBase account in the Data Center. This topic discusses the fields and menus that are specific to the QuickBase connector user interface. General information for adding DataSets, setting update schedules, and editing DataSet information is discussed in [Adding a DataSet Using a Data Connector](/s/article/360042926274 "Adding a DataSet Using a Data Connector").

<table class="mt-responsive-table" data-aura-rendered-by="33:195;a"><tbody><tr><td class="mt-noheading" colspan="1" rowspan="1"><p><b> Primary Use Cases </b></p></td><td class="mt-noheading" colspan="1" rowspan="1"><ul><li><p> Project management </p></li><li><p> Sales management </p></li><li><p> IT management </p></li><li><p> Custom database </p></li><li><p> Human resources </p></li><li><p> Field service management </p></li><li><p> Marketing </p></li></ul></td></tr><tr><td class="mt-noheading" colspan="1" rowspan="1"><p><b> Primary Metrics </b></p></td><td class="mt-noheading" colspan="1" rowspan="1"><p> Varies greatly because it is such a customizable tool </p></td></tr><tr><td class="mt-noheading" colspan="1" rowspan="1"><p><b> Primary Company Roles </b></p></td><td class="mt-noheading" colspan="1" rowspan="1"><p> Varies greatly because it is such a customizable tool </p></td></tr><tr><td class="mt-noheading" colspan="1" rowspan="1"><p><b> Average Implementation Time </b></p></td><td class="mt-noheading" colspan="1" rowspan="1"><p> 10-15 hours </p></td></tr><tr><td class="mt-noheading" colspan="1" rowspan="1"><p><b> Ease of Use (on a 1-to-10 scale with 1 being easiest) </b></p></td><td class="mt-noheading" colspan="1" rowspan="1"><p> 5 </p></td></tr></tbody></table>

### Best Practices

The best way to get started with this connector is by implementing the "Do Query" report. To configure this report, follow these instructions:

1. Select **Do Query** as your report type.
2. Enter the DBID in the **Query Params** field.

   You can find the DBID you want to query by reviewing the URL when logged into QuickBase. The DBID comes directly after the /db/ in the url. You can visit this page from QuickBase describing how to get the DBID: [http://www.quickbase.com/developer/k...uickbase-table](http://www.quickbase.com/developer/knowledge-base/how-do-i-find-database-id-dbid-quickbase-table "http://www.quickbase.com/developer/knowledge-base/how-do-i-find-database-id-dbid-quickbase-table")
3. Leave the **Query** field blank.
4. Enter a list of fields IDs in the **Column List** field can be populated with a list of field ids (FID) that are period separated (10.12.15.18).

   Alternatively, you can simply enter a to pull in all columns.

You can get the FIDs for the columns in the DBID by going to **Settings** in the application and clicking **Tables**. This shows you the schema details for the DBID you are reviewing, including the field id (FID). If the FID column isn't viewable, click **Show Field IDs** below the field list. For more information, see [http://qunect.com/appnotes/fid.html](http://qunect.com/appnotes/fid.html "http://qunect.com/appnotes/fid.html").

The date columns are returned through the connector as the number of milliseconds since epoch (1970-01-01). To convert these numeric values to the correct date, a transformation in a DataFlow can be used with the following:

```
from_unixtime(date_column/1000) as date_column
```

This transformation will convert the number to a date-time format.

Learn how to create a Magic ETL DataFlow.

### Prerequisites

To connect to your QuickBase account and create a DataSet, you must have the following:

* Your QuickBase domain. This is essentially the URL of your QuickBase instance without http\://. For example: [abc.quickbase.com](http://abc.quickbase.com).
* Your Quickbase user token. To find your user token, do the following:

  1. Navigate to [www.quickbase.com](http://www.quickbase.com) and log in using your credentials.
  2. In the **User** menu on the global bar, select **My preferences**.
  3. Under "My User Information," click **Manage my user tokens**.
  4. Locate your user token in the list, or generate a new token.

For more information about generating a token, see [https://help.quickbase.com/api-guide...er\_tokens.html](https://help.quickbase.com/api-guide/create_user_tokens.html "https://help.quickbase.com/api-guide/create_user_tokens.html").

### Connecting to Your QuickBase Account

This section enumerates the options in the **Credentials** and **Details** panes in the QuickBase Connector page. The components of the other panes in this page, **Scheduling** and **Name & Describe Your DataSet**, are universal across most connector types and are discussed in greater length in [Adding a DataSet Using a Data Connector](/s/article/360042926274 "Adding a DataSet Using a Data Connector").

# Credentials Pane

This pane contains fields for entering credentials to connect to your QuickBase account. The following table describes what is needed for each field:

<table border="1" cellpadding="1" cellspacing="1" data-aura-rendered-by="33:195;a"><thead><tr><th colspan="1" rowspan="1"><p><span class="s1"> Field </span></p></th><th colspan="1" rowspan="1"><p><span class="s1"> Description </span></p></th></tr></thead><tbody><tr><td colspan="1" rowspan="1"><p> Domain </p></td><td colspan="1" rowspan="1"><p> Enter your QuickBase domain, for example <span class="mt-font-courier-new"><a href="http://abc.quickbase.com" rel="noopener" target="_blank"> abc.quickbase.com </a></span>. </p></td></tr><tr><td colspan="1" rowspan="1"><p> User Token </p></td><td colspan="1" rowspan="1"><p> Enter your QuickBase user token. For information about finding your user token, see "Prerequisites," above. </p></td></tr></tbody></table>

Once you have entered valid QuickBase credentials, you can use the same account any time you go to create a new QuickBase DataSet. You can manage connector accounts in the **Accounts** tab in the Data Center. For more information about this tab, see [Managing User Accounts for Connectors](/s/article/360042926054 "Managing User Accounts for Connectors").

# Details Pane

This pane contains a primary **Reports** menu, along with various other menus which may or may not appear depending on the report type you select.

<table border="1" cellpadding="1" cellspacing="1" data-aura-rendered-by="33:195;a"><thead><tr><th colspan="1" rowspan="1"><p> Menu </p></th><th colspan="1" rowspan="1"><p> Description </p></th></tr></thead><tbody><tr><td colspan="1" rowspan="1"><p> Report </p></td><td colspan="1" rowspan="1"><p> Select the QuickBase report you want to run. The following reports are available: </p><table border="1" cellpadding="1" cellspacing="1"><tbody><tr><td colspan="1" rowspan="1"> Ancestor Info </td><td colspan="1" rowspan="1"> Retrieves ancestor information about the current application. </td></tr><tr><td colspan="1" rowspan="1"> App DTM Info </td><td colspan="1" rowspan="1"> Retrieves the timestamp of the last time change throughout the application. </td></tr><tr><td colspan="1" rowspan="1"> DB Info </td><td colspan="1" rowspan="1"> Retrieves metadata information, such as the last time the table was modified. </td></tr><tr><td colspan="1" rowspan="1"> DB Page </td><td colspan="1" rowspan="1"> Retrieves stores pages in QuickBase. </td></tr><tr><td colspan="1" rowspan="1"> DB Var </td><td colspan="1" rowspan="1"> Retrieves values assigned to variables (DBVars) set up in your QuickBase application. </td></tr><tr><td colspan="1" rowspan="1"> Do Query </td><td colspan="1" rowspan="1"> Retrieves records from a table using a query. </td></tr><tr><td colspan="1" rowspan="1"> Granted DBs </td><td colspan="1" rowspan="1"> Retrieves a list of the names and DBIDs of all the applications and tables that you are entitled to access, across all domains. </td></tr><tr><td colspan="1" rowspan="1"> Number Records </td><td colspan="1" rowspan="1"> Retrieves the total number of records in a table. </td></tr><tr><td colspan="1" rowspan="1"> Record Info </td><td colspan="1" rowspan="1"> Retrieves the values and types of all fields in a record. </td></tr><tr><td colspan="1" rowspan="1"> Role Info </td><td colspan="1" rowspan="1"> Retrieves all of the roles that apply to the application. </td></tr><tr><td colspan="1" rowspan="1"> Schema </td><td colspan="1" rowspan="1"> Retrieves information about the specified application or application table. </td></tr><tr><td colspan="1" rowspan="1"> User Info </td><td colspan="1" rowspan="1"> Retrieves the username and user ID associated with an email address used for QuickBase sign-in. </td></tr><tr><td colspan="1" rowspan="1"> User Role </td><td colspan="1" rowspan="1"> Retrieves roles assigned to a specific user in an application. </td></tr></tbody></table></td></tr><tr><td colspan="1" rowspan="1"> Query Params </td><td colspan="1" rowspan="1"> Enter query parameters. For example: <span class="mt-font-courier-new"> dbid='abcd1234' </span></td></tr><tr><td colspan="1" rowspan="1"> Query </td><td colspan="1" rowspan="1"> Enter your search query. </td></tr><tr><td colspan="1" rowspan="1"> Column List </td><td colspan="1" rowspan="1"> Enter a period-separated list of column indices to display. To show all columns, enter <span class="mt-font-courier-new"> a </span>. </td></tr></tbody></table>

### Other Panes

For information about the remaining sections of the connector interface, including how to configure scheduling, retry, and update options, see [Adding a DataSet Using a Data Connector](/s/article/360042926274 "Adding a DataSet Using a Data Connector").

### Troubleshooting

* Review the connector history for error messages.
* Double-check the application token and credentials entered into Domo.
* If the connector is pulling in a limited number of columns, adjust the column list to a smaller number of columns by entering in a period-separated list of Field IDs (FID).
* Because of the flexible nature of QuickBase, there are instances where the column names can become excessively long. This can cause issues when manipulating data using a MySQL Dataflow in Domo. There is a limit of 64 characters in a MySQL column name. To remedy this, a Magic ETL DataFlow can be used to rename columns. For more information, see
  Create a Magic ETL DataFlow.
